#ifndef Abschnitt_H
#define Abschnitt_H

#include <Fenster.h>

using namespace Framework;

class Abschnitt
{
protected:
	Bildschirm *b;
	bool sichtbar;
	int ref;

    int getColorFromStatus( char *status );

public:
	// Konstruktor
	Abschnitt( Bildschirm *b );
	// Destruktor
	~Abschnitt();
	// nicht constant
	virtual void setFenster( Fenster *f ) = 0;
	virtual void setSichtbar( bool s ) = 0;
	// constant
	bool istSichtbar() const;
	// Reference Counting
	virtual Abschnitt *getThis() = 0;
	virtual Abschnitt *release() = 0;
};

#endif